```json
{
  "title": "Tool",
  "icon_sprite": "minecraft:icon/all_iron_tools",
  "category": "minecraft:story/story",
  "required_advancements": [
    "minecraft:story/root"
  ]
}
```

A **tool** is an [item](^minecraft:items) used by the [player](https://minecraft.wiki/w/Player) while held to perform actions faster and more efficiently, to gather materials not obtainable by hand, or to perform completely new actions. Tools don't stack in the inventory and can be repaired; see [Item repair](https://minecraft.wiki/w/Item_repair).

;;;;;

&title(Best Tools)
Many blocks have a preferred tool to [break](^minecraft:breaking) them: this preferred tool can be a [pickaxe](^minecraft:tag/pickaxes), [shovel](^minecraft:tag/shovels), [axe](^minecraft:tag/axes), [hoe](^minecraft:tag/hoes), or [{item}shears{}](^minecraft:shears). Some blocks can be obtained only by breaking them with certain tools. The tool's material also affects how fast a block is mined and what it drops.

;;;;;

&title(Item Durability)
Different tools have different amounts of durability. Some uses require more durability to be used than others. A tool's durability is also affected by its material. Materials from worst to best in terms of durability are: gold, wooden, stone, iron, diamond, netherite.

;;;;;

Some tools are not block-breaking tools: this includes a [{item}fishing rod{}](https://minecraft.wiki/w/Fishing_rod), [{item}carrot on a stick{}](https://minecraft.wiki/w/Carrot_on_a_stick), [{item}warped fungus on a stick{}](https://minecraft.wiki/w/Warped_fungus_on_a_stick), [{item}flint and steel{}](https://minecraft.wiki/w/Flint_and_steel), [{item}brush{}](^minecraft:brush) and [{item}elytra{}](https://minecraft.wiki/w/Elytra). Such tools are no better than bare fists at breaking blocks, but they do not take damage from doing so; they take damage from being used in their own intended manners. 

;;;;;

All block-breaking tools, excluding pickaxes, also have other uses than just breaking blocks: for example, shovels can create [{block}dirt paths{}](https://minecraft.wiki/w/Dirt_path), axes can be used to strip [logs](^minecraft:tag/logs) and [wood](https://minecraft.wiki/w/Wood), hoes can till soil and create [{block}farmland{}](https://minecraft.wiki/w/Farmland), and shears can be used to shear [{mob}sheep{}](https://minecraft.wiki/w/Sheep). All of these actions also consume tool's durability. 