```json
{
  "title": "Frog",
  "icon_sprite": "minecraft:icon/frog",
  "categories": [
    "minecraft:mobs",
    "minecraft:passive_mobs",
    "minecraft:group/spawn_eggs"
  ],
  "associated_items": [
    "minecraft:frog_spawn_egg"
  ]
}
```

A **frog** is a [passive mob](^minecraft:passive_mobs) found in swamps. Frogs eat small slimes and magma cubes. A frog can produce one of three types of [froglights](^minecraft:froglight) from eating magma cubes, depending on the type of frog. The type of frog is dependent on their [biome](^minecraft:biomes).

<entity;minecraft:frog>

;;;;;

&title(Spawning)
Groups of two to five frogs can spawn in swamp and [mangrove swamp](^minecraft:mangrove_swamp) biomes. Frogs can also be spawned by growing from [tadpoles](^minecraft:tadpole).

- [Cold variant biomes](^minecraft:tag/spawns_cold_variant_frogs)
- [Temperate variant biomes](^minecraft:tag/spawns_temperate_variant_frogs)
- [Warm variant biomes](^minecraft:tag/spawns_warm_variant_frogs)

;;;;;

&title(Behavior)
On land, frogs slowly wander, jumping at random. They can jump 8 blocks high and take 5 less damage from falling than most other mobs. They prefer jumping on lily pads and big dripleaves, and usually jump to blocks that are higher up.

;;;;;

&title(Swimming)
In water, frogs move much faster. They generally swim upward and remain at the water's surface, but swim downward if lured by a player. Frogs cannot be hurt by drowning.

;;;;;

&title(Breeding)
Feeding two frogs a slimeball causes them to enter love mode, causing one of the frogs to become pregnant, similar to turtles. The pregnant frog then searches for a water block with at least one adjacent water block (flowing or source) with air above to lay [frogspawn](^minecraft:frogspawn). This spawn later hatches into [tadpoles](^minecraft:tadpole), which subsequently grow into frogs. 

;;;;;

&title(Tadpoles)
Unlike all other [mobs](^minecraft:mobs) with baby variants, the [tadpole](^minecraft:tadpole) is treated by the game as a completely different mob from the frog.


;;;;;

&title(Attacking)
Frogs attack by using their tongue to pull certain [mobs](^minecraft:mobs) into their mouth, whereupon the mob instantly despawns without a death animation.


Frogs attack small slimes, which drop slimeballs when killed.

;;;;;

&title(Attacking Magma Cubes)
Frogs also attack small magma cubes, leaving a [froglight](^minecraft:froglight) block. When the magma cube gets targeted, the frog walks toward it at a faster pace before attacking. The color of froglight that drops depends on the type of frog that attacks the magma cube.
